#define PRIKAZ(x) uint8_t x(void)

typedef struct{PGM_P nazev;//char *nazev;
		//uint8_t (*fce)(char*);
		PRIKAZ((*fce));
		PGM_P napoveda;
		} ZPRAVA;


#define NAPOVEDA 1
#if NAPOVEDA
#define VYTVOR_ZPRAVU(Znazev,nazev,prikaz,napoveda) PRIKAZ(prikaz);\
TEXT_P(TZ##prikaz,nazev);\
TEXT_P(TN##prikaz,napoveda);
#else
#define VYTVOR_ZPRAVU(Znazev,nazev,prikaz,napoveda) PRIKAZ(prikaz);\
TEXT_P(TZ##prikaz,nazev);
#endif

#if NAPOVEDA
#define Z(a) {TZ##a,a,TN##a}
#else
#define Z(a) {TZ##a,a,nic}
#endif
